$ErrorActionPreference = "Stop"

try
{

if( ! (Test-Path "C:\malware_atp_deployed.txt" ))
{
    $bla = "Device ATP Deployed"
    $serialObject = Get-WmiObject -Class Win32_BIOS -Property "SerialNumber"


    if ( ! (Test-Path "C:\Scripts") )
    {
        New-Item -ItemType Directory -Force -Path "C:\Scripts"

    }

    icacls C:\Scripts /grant:r SYSTEM:F
   if(!$?)
   {
    throw "Could not set acl for SYSTEM"
    }

    icacls C:\Scripts /inheritancelevel:r

    if(!$?)
    {
        throw "Could not set acl for C:\Scripts"
    }

   icacls C:\Scripts /setowner SYSTEM

    if(!$?)
    {
        throw "Could not set owner for C:\Scripts"
    }

    Invoke-WebRequest https://HOSTNAME/scripts/Send_Malware_ATP_Notification.ps1 -OutFile "C:\Scripts\Send_Malware_ATP_Notification.ps1"

    Invoke-WebRequest https://HOSTNAME/scripts/Trigger_Malware_Notification.xml -OutFile "C:\Scripts\Trigger_Malware_Notification.xml"

        schtasks /create /xml "C:\Scripts\Trigger_Malware_Notification.xml" /tn "Trigger_Malware_ATP_Notification"

    if(!$?)
    {
        throw "Could not create Notification Trigger"
    }




    $postParams = @{computer=$env:computername;serial=$($serialObject.SerialNumber);message=$bla;subject="0"}

    Invoke-WebRequest -Uri https://HOSTNAME/notify.php -Method POST -Body $postParams -OutFile C:\Scripts\atp-debug.log

    write-host "Malware_ATP_Deployed" > C:\malware_atp_deployed.txt
}
    exit 0
}
catch
{
    $bla="Error: $_.Exception"

    $postParams = @{computer=$env:computername;serial=$($serialObject.SerialNumber);message=$bla;subject="2"}

    Invoke-WebRequest -Uri https://HOSTNAME/notify.php -Method POST -Body $postParams -OutFile C:\Scripts\atp-debug.log

   write-host "Error: $_.Exception"
    $_.Exception | Out-File C:\Scripts\atp-error.log -Append
exit 2

}






